/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package test.crud;

import test.crud.CRUDImplementation;

/**
 * A factory for the sample CRUD implementation model.
 *
 * @version $Rev: 567587 $ $Date: 2007-08-20 09:12:28 +0100 (Mon, 20 Aug 2007) $
 */
public interface CRUDImplementationFactory {
    
    /**
     * Creates a new CRUD implementation.
     * 
     * @return
     */
    CRUDImplementation createCRUDImplementation();

}
