/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.topology;

/**
 * Represents an SCA component and is used to represent which components
 * will run on a node
 *
 * @version $Rev: 567542 $ $Date: 2007-08-20 06:13:29 +0100 (Mon, 20 Aug 2007) $
 */
public interface Component {
    
    /**
     * Get the compoent name
     * 
     * @return
     */
    public String getName();
    
    /**
     * Set the compoent name
     * 
     * @param name
     */
    public void setName(String name);
    
    /**
     * Get the name of the domain that this scheme belongs to
     * Not sure in this case whether the domain name should
     * be part of the component name but am keeping it 
     * separate for now
     * 
     * @return
     */
    public String getDomainName();
    
    /**
     * Set the name of the domain that this scheme belongs to
     * Not sure in this case whether the domain name should
     * be part of the component name but am keeping it 
     * separate for now     
     * 
     * @param name
     */
    public void setDomainName(String domainName);    
}
